# GET: /voters/accounts/:address

## VoterAccountsRequest

The request to the Voter accounts API can retrieve information about the certain account.

| Type   | Key       | Description                     |
| ------ | --------- | ------------------------------- |
| string | `address` | Address to retrieve. `required` |

**VoterResponse**

| Type      | Key      | Description                                      |
| --------- | -------- | ------------------------------------------------ |
| bool      | `status` | If set false, indicates an error returning data. |
| voterData | `data`   | Voter data.                                      |

**VoterData**

| Type   | Key             | Description                               |
| ------ | --------------- | ----------------------------------------- |
| uint32 | `delegateCount` | Delegate count of address                 |
| uint32 | `votes`         | Current votes of address                  |
| uint32 | `balance`       | BToken balance of address                 |
| array  | `delegates`     | Array of `Delegates`                      |
| array  | `txs`           | Array of `Transfer and vote transactions` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.belugas.io/api/voter-service/get-voters-accounts-address.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
